Search found 156 matches

by John P
Fri Jun 30, 2017 6:43 am
Forum: [3.x] Discussion
Topic: phpBB 3.2.1 RC1 released
Replies: 17
Views: 3244

Re: phpBB 3.2.1 RC1 released

Lot of changes in meta-data-manager.
Makes a lot of extensions not compatible

Events renamed in acp_extension
by John P
Tue Jun 27, 2017 9:56 pm
Forum: [3.x] Discussion
Topic: phpBB 3.2.1 RC1 released
Replies: 17
Views: 3244

Re: phpBB 3.2.1 RC1 released

A nice question for you developers

Isn't it really possible to have a little system about naming config value's used by cron.
Again another cron task and again new names for it's time-values: update_hashes_last_cron

That should not be that difficult!
by John P
Tue Jun 27, 2017 9:44 pm
Forum: [3.x] Discussion
Topic: phpBB 3.2.1 RC1 released
Replies: 17
Views: 3244

Re: phpBB 3.2.1 RC1 released

Update was smooth, without problems after clearing installer cache. Catchable fatal error: Argument 7 passed to phpbb\template\twig\environment::__construct() must be an instance of phpbb\event\dispatcher_interface, array given, called in /home/..../public_html/..../cache/installer/container_a5fcce7...
by John P
Mon May 23, 2016 7:08 pm
Forum: [3.x] Discussion
Topic: Extension compatibility 3.1 - 3.2
Replies: 22
Views: 18168

Re: Extension compatibility 3.1 - 3.2

Avatar drivers 3.2 need a - '@upload_imagesize' in their config file as this isn't required in 3.1.
I was hoping for an answer about rmcgirr83 question earlier.
by John P
Fri Apr 29, 2016 7:35 am
Forum: [3.x] Discussion
Topic: Extension compatibility 3.1 - 3.2
Replies: 22
Views: 18168

Re: Extension compatibility 3.1 - 3.2

Until now for everything I have a workaround or switch except for the notifications.
So the way it is now I have to maintain two version if the extension uses the noti system.
What is better in the new noti system, it has to be in 3.2 without being compatible with 3.1?
by John P
Thu Apr 28, 2016 9:54 pm
Forum: [3.x] Discussion
Topic: Extension compatibility 3.1 - 3.2
Replies: 22
Views: 18168

Re: Extension compatibility 3.1 - 3.2

It's a lot more David, uploading, using extensionmanager for example. Also a lot extensions are not in phpbb's cdb but running on phpbb for sure. Admins are using them on mass and it's bad they again have to switch only for a new version of phpbb. phpbb should offer a way to have them compatible and...
by John P
Thu Apr 28, 2016 7:22 pm
Forum: [3.x] Discussion
Topic: Member managing tool?
Replies: 17
Views: 9412

Re: Member managing tool?

https://github.com/ForumHulp/Export-Import-Users can export your users in xml format.
From there you should be able to read them in Excel or whatever you want.
by John P
Thu Apr 28, 2016 7:12 pm
Forum: [3.x] Discussion
Topic: Extension compatibility 3.1 - 3.2
Replies: 22
Views: 18168

Re: Extension compatibility 3.1 - 3.2

Thanks Pierre, I'm going to look at it. It's bad, if we, only for notifications, have to maintain two versions. The phpbb team should also think about all the work they generate with their versions in just so short time. Personnally I have much clients who stayed on 3.0, waiting 3.1 will be good and...
by John P
Mon Apr 25, 2016 6:08 am
Forum: [3.x] Discussion
Topic: Extension compatibility 3.1 - 3.2
Replies: 22
Views: 18168

Re: Extension compatibility 3.1 - 3.2

That's not the problem, i was more referring to constructor and service files notification.yml for example.
by John P
Sun Apr 24, 2016 4:18 pm
Forum: [3.x] Discussion
Topic: Extension compatibility 3.1 - 3.2
Replies: 22
Views: 18168

Re: Extension compatibility 3.1 - 3.2

How to have the notification system in extensions for both version 3.1 and 3.2
My extensions uses the notificationsystem to warn users.
How can I have only one extension version for both phpbb versions?